package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/JoinFieldAction.class */
public class JoinFieldAction extends LifeAction {
    private List joinList;
    private String joinedField;

    public String execute(Context context) throws GENEException {
        try {
            StringBuffer result = new StringBuffer();
            for (String fieldName : this.joinList) {
                result.append(context.getDataValue(fieldName));
            }
            context.setDataValue(this.joinedField, result.toString());
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setJoinedField(String joinedField) {
        this.joinedField = joinedField;
    }

    public void setJoinList(String joinString) {
        this.joinList = new LinkedList();
        StringTokenizer toke = new StringTokenizer(joinString, "|");
        while (toke.hasMoreElements()) {
            String fieldName = ((String) toke.nextElement()).trim();
            this.joinList.add(fieldName);
        }
    }
}
